%define name akpi
%define version 0.4
%define release %mkrel 9

Name: %{name}
Summary: ACPI frontend for KDE
Version: %{version}
Release: %{release}
Group: Graphical desktop/KDE
Source0: http://akpi.scmd.at/files/%{name}-%{version}.tar.bz2
Url: http://akpi.scmd.at/
BuildRoot: %{_tmppath}/%{name}-buildroot 
BuildRequires: kdelibs-devel
BuildRequires: chrpath
License: GPLv2+

%description
aKpi provides a simple GUI frontend for acpi. It makes heavy use of the
QT library and is able to dock into your KDE panel.

%prep
%setup -q 

%build
%configure_kde3
%make

%install
rm -fr %buildroot
%makeinstall_std

desktop-file-install --vendor="" --delete-original \
  --remove-category="Application" \
  --add-category="Qt" \
  --add-category="X-MandrivaLinux-System-Monitoring" \
  --add-category="System" \
  --add-category="Monitor" \
  --dir $RPM_BUILD_ROOT%_kde3_datadir/applications/kde/  $RPM_BUILD_ROOT%_kde3_datadir/applnk/Utilities/*

chrpath -d $RPM_BUILD_ROOT/%{_kde3_bindir}/akpi

%find_lang %name --with-html

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root,0755)
%doc AUTHORS
%{_kde3_bindir}/akpi
%{_kde3_datadir}/apps/%{name}
%_kde3_datadir/applications/kde/*
%{_kde3_iconsdir}/locolor/*/apps/*.png


%changelog
* Sun Nov 09 2008 Funda Wang <fundawang@mandriva.org> 0.4-9mdv2009.1
+ Revision: 301343
- switch to /opt

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.4-8mdv2009.0
+ Revision: 218435
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.4-8mdv2008.1
+ Revision: 135819
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import akpi


* Mon Sep 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4-8mdv2007.0
- XDG

* Wed Jun 28 2006 Lenny Cartier <lenny@mandriva.com> 0.4-7mdv2007.0
- rebuild

* Mon Mar 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4-6mdk
- Fix configure for x86_64

* Thu Jan 05 2006 Lenny Cartier <lenny@mandriva.com> 0.4-5mdk
- rebuild

* Fri Jul 16 2004 Michael Scherer <misc@mandrake.org> 0.4-4mdk 
- rebuild for new gcc

* Tue May 04 2004 Michael Scherer <misc@mandrake.org> 0.4-3mdk 
- rebuild
- [DIRM]
- clean BuildRequires
- rpmlint warning

* Sat May 03 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4-2mdk
- typo in description (Thx olivierb)
- fix buildrequires

* Wed Apr 30 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4-1mdk
- 0.4
- fix buildrequires
 
* Sun Dec 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.4-1mdk
- 0.3.4
- Buildrequires: kdelibs
- fix permission on files

* Fri Nov 29 2002 Laurent Culioli <laurent@pschit.net> 0.3.3-2mdk
- really drop patch0
- from Michael Scherer <scherer.michael@free.fr> :
	-menuification

* Wed Nov 27 2002 Laurent Culioli <laurent@pschit.net> 0.3.3-1mdk
- 0.3.3

* Wed Nov 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-1mdk
- from Michael Scherer <scherer.michael@free.fr> : 
	- adapted to Mandrake Linux 9.0

* Sun Jun 23 2002 Gerald Teschl <gt@esi.ac.at> 0
- inital spec

